<% 
'Parametre - se komplet liste her: http://tech.quickpay.net/payments/form/
version = "v10"																												' Version - nuvrende version er v10
language = "da"																												' Sprog
autocapture = "1"																											' Autocapture
agreement = "AGREEMENT" 																									' Dit aftale-nummer - findes hos Quickpay under Settings -> Integration
merchant = "MERCHANT" 																										' Dit merchant-id - findes hos Quickpay under Settings -> Integration
apikey = "APIKEY" 																											' Din API key som genereres hos Quickpay - findes hos Quickpay under Settings -> Users							
branding = "1258"																											' ID p en branding template hvis du har oprettet sdan en hos Quickpay - findes hos Quickpay under Settings -> Brandings
paymethods = "creditcard" 																									' Tilladte betalingsmetoder - Liste over betalingsmetoder her: http://tech.quickpay.net/appendixes/payment-methods/
autofee = "1"																												' Automatisk gebyr-beregning
amount = "10000"																											' Belb i mindste enhed - dvs. rer (Hvis DKK anvendes som valuta) - 10000 = 100 DKK
qpcurrency = "DKK" 																											' Valuta - Liste over valutakoder her: http://www.iso.org/iso/home/standards/currency_codes.htm
okpage = "http://"&Request.Servervariables("SERVER_NAME")&"/example/okpage.asp"												' URL der viderestilles til hvis betalings gr godt
errorpage = "http://"&Request.Servervariables("SERVER_NAME")&"/example/errorpage.asp"										' URL der viderestilles til hvis betalings gr skidt
resultpage = "http://"&Request.Servervariables("SERVER_NAME")&"/example/callback.asp"										' URL til callback-script som kaldes server-til-server hvis betalings gr godt 
orderid = "1234567890" 																										' Skal vre unikt pr. transaktion

'Checksom streng som skal SHA256 encryptes med din API key - Bemrk rkkeflgen er vigtig!
stringtosign = agreement & " " & amount & " " & autocapture & " " & autofee & " " & branding & " " & resultpage & " " & errorpage & " " & okpage & " " & qpcurrency & " " & language & " " & merchant & " " & orderid & " " & paymethods & " " & version
			
'Implementering af SHA256 signed encryption i ASP			
Dim sha256
Set sha256 = GetObject( "script:" & Server.MapPath("includes/sha256.wsc") )													' WSC-definitionen skal ligge relativt i forhold til denne fil - fx. i en include-folder
sha256.hexcase = 0
sha256hmac = sha256.b64_hmac_sha256( apikey, stringtosign )																	' SHA256 signed checksum

'Herunder outputtes formen
%>
<form id="quickpayform" name="quickpayform" method="POST" action="https://payment.quickpay.net">
	<input type="hidden" name="version" value="<%=version%>"/>
	<input type="hidden" name="merchant_id" value="<%=merchant%>"/>
	<input type="hidden" name="agreement_id" value="<%=agreement%>"/>
	<input type="hidden" name="language" value="<%=language %>"/>
	<input type="hidden" name="order_id" value="<%=orderid%>"/>								
	<input type="hidden" name="amount" value="<%=amount%>"/>
	<input type="hidden" name="currency" value="<%=qpcurrency%>"/>
	<input type="hidden" name="continueurl" value="<%=okpage%>"/>
	<input type="hidden" name="cancelurl" value="<%=errorpage%>"/>
	<input type="hidden" name="callbackurl" value="<%=resultpage%>"/>
	<input type="hidden" name="branding_id" value="<%=branding%>"/>								
	<input type="hidden" name="payment_methods" value="<%=paymethods%>"/>
	<input type="hidden" name="autocapture" value="<%=autocapture%>"/>
	<input type="hidden" name="autofee" value="<%=autofee%>"/>
	<input type="hidden" name="checksum" value="<%=sha256hmac%>"/>						
	<input type="submit" value="SUBMIT"/>
</form>